#include <stdio.h>
#include <stdlib.h>

int main()

{ long long int N, M, k,i,j ;
 scanf("%lli %lli %lli", &N, &M, &k );
 long long int kt[k][2];
 for(i=0;i<k;i++)
 {
     for(j=0;j<2;j++)
     {
         kt[i][j]=0;

     }

 }
 for(i=0;i<k;i++)
 {
     for(j=0;j<2;j++)
     {
          scanf("%lli", &kt[i][j]);

     }


 }
 printf("3");

  return 0;
}